Name:           nodejs-simple-assert
Version:        1.0.0
Release:        2%{?dist}
Summary:        Vanilla assertions for Node.js

License:        MIT
URL:            https://github.com/chaijs/simple-assert
Source0:        http://registry.npmjs.org/simple-assert/-/simple-assert-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:        simple-assert-tests-%{version}.tar.bz2
Source10:       simple-assert-dl-tests.sh
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(assertion-error)

%description
A simple assert wrapper around chaijs/assertion-error. This probably
won't be useful to the average user unless you are a minimalist; you
probably want Chai. This software is used to avoid circular dependencies
when testing Chai's dependencies.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/simple-assert
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/simple-assert
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --require test/bootstrap --reporter spec test/*.js


%files
%doc README.md History.md 
%{nodejs_sitelib}/simple-assert



%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 31 2014 Tom Hughes <tom@compton.nu> - 1.0.0-1
- Initial build of 1.0.0
